<!doctype html>
<html lang="en">
<head>
  <!-- Google tag (gtag.js) -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=G-3SVS4XQ47V"></script>
  <script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-3SVS4XQ47V');
  </script>
  <meta charset="utf-8">
  <meta name="author" content="Jim Hefferon" />
  <meta name="copyright" content="Contents of this HTML page and its CSS is CCSA 4.0." />
  <link rel="canonical" href="https://hefferon.net/help.html" />
  <meta property="og:locale" content="en_US" />
  <meta property="og:type" content="website" />
  <meta property="og:title" content="Free Math Texts: helping out, from Jim Hefferon" />
  <meta property="og:description" content="Free Math Texts from Jim Hefferon, making a contribution" />
  <meta property="og:url" content="https://hefferon.net/help.html" />
  <meta property="og:site_name" content="Free math texts from Jim Hefferon" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Literata">
  <link rel="stylesheet" href="hefferon.css">
  <title>Free Mathematics textbooks: Can you help?</title>
</head>

<body>
  <div id="container">
    <div id="header">
      <p>
	Helping out
      </p>
    </div>
    <div id="content">
      <div id="innercontent">
	<p>
	  Giving something away is harder than you'd think.
	</p>  
	<p>
	  Producing it is hard.
	  The material is challenging to master
	  and sometimes even more challenging to present.
	  And the development of
	  the materials is technically hard&nbsp;&mdash;
	  <a href="linearalgebra/"><i>Linear Algebra</i></a>
	  has two hundred thousand lines of intricate
	  <span class="latex">L<sup>a</sup>T<sub>e</sub>X</span>.
	  <!-- (The command -->
	  <!-- <tt>$ wc -l $(find . -type f | egrep "\.(tex|sty|cls|mp|asy)$"</tt> -->
	  <!-- returns 190180.) -->
	  It takes time.
	  Years.
	</p>
	<p>
	  It also takes money.
	  That includes paying for this web site, 
	  along with expenses such as 
	  providing display copies for conferences.
	</p>

	<h3>
	  Can you help?
	</h3>
	<p>
	  I'm always very grateful for contributions.
	</p>
	<p>
	  If you have a bug report, or if you have something larger,
	  then I'd be interested in having a look.
	  My books have greatly benefited from the contributions
	  that I have gotten over the years.
	  That includes contributions from both instructors and students.
	  Send it to
	  <a href="jimhefferon.html">my contact information</a>
          (I prefer email to git pull requests;
	  the pull request model works wonderfully
	  for software but not as well for books).
	  For instance, I would welcome exams or problem sets,
	  including those for electronic tools
	  such as <a href="http://webwork.maa.org">WeBWorK</a>.
	  Of course, contributions need to be under the same
	  <a href="source.html">license</a>
	  as the other materials.
	</p>
	<p>
	  Or, you could make a financial contribution.
	  The most common amount is $10 but for
	  whatever you can do, thank you.
	  <form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
	    <input type="hidden" name="cmd" value="_s-xclick">
	    <input type="hidden" name="hosted_button_id" value="89YREZYBEH8EN">
	    <input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
	    <img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">
	  </form>
	</p>
      </div>
    </div>
    <div id="navbar">
      <div id="innernavbar">
	<h3>
	  On this site
	</h3>
	<ul>
	  <li><a href="/linearalgebra/"><i>Linear Algebra</i></a>,
	    a popular book for an undergraduate course.</li>
	  <li><a href="/computation/"><i>Theory of Computation</i></a>,
	    a first CS theory text.</li>
	  <li><a href="/proofs/"><i>Introduction to Proofs</i></a>,
	    for an Inquiry-Based course.</li>
	  <li><a href="/other/">More</a>,
	    including programs and documents.</li>
	  <li><a href="/">Home page</a>.</li>
	</ul>
      </div>
    </div>
    <div id="footer">
      <a id="contact" href="/contact.html">Contact me</a>
    </div>
</body>
</html>
